import { computed as e, createBlock as t, createCommentVNode as n, createTextVNode as r, createVNode as i, openBlock as a, renderSlot as o, resolveComponent as s, toDisplayString as c, withCtx as l } from "vue";
//#region src/components/wt-page-header/wt-page-header.vue
var u = {
	__name: "wt-page-header",
	props: {
		hidePrimary: {
			type: Boolean,
			default: !1
		},
		hideSecondary: {
			type: Boolean,
			default: !1
		},
		primaryText: { type: String },
		primaryAction: { type: Function },
		primaryDisabled: {
			type: Boolean,
			default: !1
		},
		secondaryDisabled: {
			type: Boolean,
			default: !1
		},
		secondaryText: { type: String },
		secondaryAction: { type: Function }
	},
	setup(u) {
		let d = u, f = e(() => !(d.secondaryAction || d.secondaryText));
		return (e, d) => {
			let p = s("wt-button"), m = s("wt-headline");
			return a(), t(m, null, {
				"title-wrapper": l(() => [o(e.$slots, "default")]),
				title: l(() => [o(e.$slots, "title")]),
				actions: l(() => [
					o(e.$slots, "actions"),
					u.hidePrimary ? n("", !0) : o(e.$slots, "primary-action", { key: 0 }, () => [i(p, {
						disabled: u.primaryDisabled,
						onClick: u.primaryAction
					}, {
						default: l(() => [r(c(u.primaryText || e.$t("reusable.add")), 1)], void 0, !0),
						_: 1
					}, 8, ["disabled", "onClick"])]),
					!u.hideSecondary && !f.value ? (a(), t(p, {
						key: 1,
						disabled: u.secondaryDisabled,
						color: "secondary",
						onClick: u.secondaryAction
					}, {
						default: l(() => [r(c(u.secondaryText || e.$t("reusable.close")), 1)], void 0, !0),
						_: 1
					}, 8, ["disabled", "onClick"])) : n("", !0)
				]),
				_: 3
			});
		};
	}
};
//#endregion
export { u as default };
